standardFont = "fonts/mercurius.mvec";

BlackColor = Color(0,0,0,255);
BlueColor = Color(16,225,226,255);
YellowColor = Color(255,255,0,255);
WhiteColor = Color(255,255,255,255);
PurpleColor = Color(255,0,255,255);
MenuRedColor = Color(102,0,0,255);
RedColor = Color(163,11,11,255);
GreenColor = Color(34,253,26,255);
BorderColor = Color(30,42,102,255);



StandardButtonGraphics = {
	"buttons/dialog_button_a1",
	"buttons/dialog_button_a2",
	"buttons/dialog_button_a3"
};

SmallButtonGraphics = {
	"buttons/dialog_button_a_small_1",
	"buttons/dialog_button_a_small_2",
	"buttons/dialog_button_a_small_3"
};

LargeButtonGraphics = {
	"buttons/dialog_button_a_large_1",
	"buttons/dialog_button_a_large_2",
	"buttons/dialog_button_a_large_3"
};


CheckboxButtonGraphics = {
	"buttons/checkbox_a",
	"buttons/checkbox_b",
	"buttons/checkbox_a",
	"buttons/checkbox_b"
};

LeftArrowGraphics = {
	"buttons/left_arrow_a.png",
	"buttons/left_arrow_b.png",
	"buttons/left_arrow_c.png"
};

RightArrowGraphics = {
	"buttons/right_arrow_a.png",
	"buttons/right_arrow_b.png",
	"buttons/right_arrow_c.png"
};

ComicLeftButtonGraphics = {
	"buttons/comic_leftarrow_a",
	"buttons/comic_leftarrow_c",
	"buttons/comic_leftarrow_b"
};


ComicRightButtonGraphics = {
	"buttons/comic_rightarrow_a",
	"buttons/comic_rightarrow_c",
	"buttons/comic_rightarrow_b"
};

StandardButtonFont = {
  standardFont,
  16,
  MenuRedColor
};

StandardBorderButtonFont = {
  standardFont,
  16,
  BorderColor
};

SmallestButtonFont = {
  standardFont,
  12,
  MenuRedColor
};

SmallButtonFont = {
  standardFont,
  14,
  MenuRedColor
};

SmallBorderButtonFont = {
  standardFont,
  14,
  BorderColor
};

DialogTitleFont = {
  standardFont,
  18,
  BorderColor
};


DialogBodyFont = {
  standardFont,
  18,
  BorderColor
};


kComicPadding = 5;

ComicGiantFont = {
  "fonts/komika_axis.mvec",
  35,
  BlackColor
};

ComicBigFont = {
  "fonts/komika_axis.mvec",
  27,
  BlackColor
};

ComicMediumBigFont = {
  "fonts/komika_axis.mvec",
  20,
  BlackColor
};

ComicMedium2Font = {
  "fonts/komika_axis.mvec",
  14,
  BlackColor
};

ComicMediumFont = {
  "fonts/komika_axis.mvec",
  12,
  BlackColor
};

ComicSmallFont = {
  "fonts/komika_axis.mvec",
  10,
  BlackColor
};

ComicSuperSmallFont = {
  "fonts/komika_axis.mvec",
  9,
  BlackColor
};

kDefaultButtonSound="audio/sfx/menu_click.ogg";
kDefaultRolloverButtonSound="audio/sfx/menu_rollover.ogg";
DefaultStyle = {
	sound = kDefaultButtonSound,
	rolloversound = kDefaultRolloverButtonSound,
	xoffset = 2,
	yoffset = 2,
	padding = 3
};

SetDefaultStyle(DefaultStyle);

kIllegalNameChars = "!@#$%^&*()><\\\"\'[]{}|?/+=~`.,;:-";

kDisableFade = 0.5;


function SwapToModalSetName( winName )
	SetWindowNameMetric(winName);
	SwapToModal(winName);
end